using System;
using NinjaTrader.Cbi;

internal sealed class Delegate145 : MulticastDelegate
{
	public extern OrderState Invoke(object object_0);

	public static OrderState smethod_0(object object_0, Delegate145 delegate145_1)
	{
		return delegate145_1(object_0);
	}

	public extern Delegate145(object object_0, IntPtr intptr_0);

	static Delegate145()
	{
		Class10.smethod_13(typeof(Delegate145).TypeHandle);
	}

	internal static Delegate145 delegate145_0;
}
